Bug 246782 - Review Request: postgresql-plr - Procedural language interface between PostgreSQL and R
Summary: Review Request: postgresql-plr - Procedural language interface between Postgr...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-04 19:25 UTC by Devrim GUNDUZ
Modified: 2008-08-02 23:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-04 07:28:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Devrim GUNDUZ 2007-07-04 19:25:54 UTC
Spec URL: http://developer.postgresql.org/~devrim/rpms/other/plr/postgresql-plr.spec
SRPM URL: http://developer.postgresql.org/~devrim/rpms/other/plr/postgresql-plr-8.2.0.5-1.fc7.src.rpm
Description: Procedural Language Handler for the "R software environment for
statistical computing and graphics".

Comment 1 KaiGai Kohei 2007-08-24 15:18:26 UTC
The following comments are based on the Package Review Guidelines and the 
Packaging Guidelines. But I'm not a sponsor of the Fedora project, so these are 
not official review comments.

- You should post the result of rpmlint command. Just I tried to run rpmlint 
for the binary package which I built, so it generate no errors/warnnings.

- You should confirm the license of the package. "BSD" is put on the License: 
tag in the specfile, but plr/README.plr in the source tree says this software 
distributed under GPLv2 or later.

- You should own the directories on which this package creates, such as %
{_datadir}/%{name} and %{_docdir}/%{name}-%{version}

- You should use -p option with install command to preserve timestamps.

- You should add the R package into BuildRequires: tag, because the package 
obviously uses /usr/lib/R/include/R.h to build.

- You should apply common compiler flags defined as $RPM_OPT_FLAGS or %
{optflags}.
(See, http://fedoraproject.org/wiki/Packaging/Guidelines#head-
8b14098227aebff1cf6188939e9d0877295ac448)
- 

[Package Review Guidelines]
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

[The Packaging Guidelines]
http://fedoraproject.org/wiki/Packaging/Guidelines)

Comment 2 Ruben Kerkhof 2008-01-20 20:59:48 UTC
Hi Devrim,

Could you please update the package according to comments #1?
I'll do a formal review after that.

Comment 3 Jason Tibbitts 2008-05-02 18:22:18 UTC
This ticket has been set to needinfo for over three months now.  Is it time to
close it?

Comment 4 Devrim GUNDUZ 2008-05-04 07:28:05 UTC
Yes. This package works only for 8.2, so let's skip it.


Note You need to log in before you can comment on or make changes to this bug.